舰R百科是靠无数志愿编辑者持续地建设更新完善的。编辑非常简单,无需代码知识,请勇于更新页面!
编辑入门 | 资助百科 | 留言讨论页 | 微博@舰R百科 | 百科编辑讨论Q群:366818861

MediaWiki:Mobile.css

舰R百科,玩家自由编辑的战舰少女R百科
Donnyjie留言 | 贡献2016年12月31日 (六) 20:11的版本
跳转到导航 跳转到搜索

注意:在保存之后,您可能需要清除浏览器缓存才能看到所作出的变更的影响。

  • Firefox/Safari:按住“Shift”的同时单击“刷新”,或按“Ctrl-F5”或“Ctrl-R”(Mac为“⌘-R”)
  • Google Chrome:按“Ctrl-Shift-R”(Mac为“⌘-Shift-R”)
  • Internet Explorer:按住“Ctrl”的同时单击“刷新”,或按“Ctrl-F5”
  • Opera:在“工具→首选项”中清除缓存

如果您已登陆但该页面出现未登录状态,请尝试在地址栏的地址最后添加代码?id=1来访问最新页面,添加代码后的本页地址如下: https://www.zjsnrwiki.com/wiki/MediaWiki:Mobile.css?id=1

公共代码页
  1. 全局CSS
  2. 全局JS
  3. 移动端CSS
  4. 移动端JS
  5. 管理员CSS
  6. 管理员JS
/* 放置于这里的CSS将影响使用移动版网站的用户 */
/* 移动版黑幕增加删除线 */
.heimu,
.heimu a,
a .heimu,
.heimu a.new {
    background-color: rgba(37, 37, 37, 0.37) !important;
    color: #252525 !important;
    line-height: 1em;
}
/* 修复单元格莫名空行 */
td {
    vertical-align: middle;
}
/* 修复子页面列表和common-box宽度不足 */
.mw-prefixindex-list-table,
.common-box {
    width: 100%!important;
}
/* 侧边栏和替换logo图片隐藏 */
#sidebar-character,
#wglogo {
    display: none;
}
/* code 内边距修复 */
code {
    padding: 3px
}
/* 搜索栏边框 */
.header .search-box input.search {
    padding: 7px 3px;
    border: 1px solid #CCC;
    border-radius: none;
}

/*战舰少女R导航*/
 
        .zjsnr-banner {
            border: 1px solid #aaa;
            padding: 8px;
            margin: 5px 0;
            font-family: Arial, Tahoma, Microsoft YaHei, Hiragino Sans GB, Microsoft JhengHei, 微軟正黑體, sans-serif;
            background-color:#f9f9f9;
        }

        .zjsnr-banner .top img {
            vertical-align: top;
            float: left;
            display: inline-block;
        }

        .zjsnr-banner .top h2 {
            line-height: 1;
            /*float: left;*/
            /*display: inline-block;*/
            display: inline;
            border: none;
            font-weight: bolder;
        }

        .zjsnr-banner .top p {
            float: right;
            display: inline;
            text-align: right;
            line-height: 1;
            margin: 0;
        }

        .zjsnr-banner .clear {
            clear: both;
        }

        .zjsnr-banner .top hr {
            height: 1px;
            color: #aaa;
            background-color: #aaa;
            border: 0;
            margin: 12px 0;
        }

        .zjsnr-banner .banner1 {
            float: left;
            padding: 0;
            width: 16.41%;
            margin-left: .3%;
            display: inline;
            vertical-align: top;
        }

        .zjsnr-banner .banner1:first-child {
            margin-left: 0;
        }

        .zjsnr-banner .banner1 > .banner1-title {
            text-align: center;
            line-height: 30px;
            display: block;
            border: 1px solid #a7d7f9;;
            font-weight: bolder;
            font-size: 18px;
            font-family: 'Microsoft YaHei', 'STHeiti Light';
            margin: 0;
            cursor: pointer;
        }

        .zjsnr-banner .banner1 .banner2-wrap {
            position: relative;
            text-align: center;

        }

        .zjsnr-banner .banner2, .zjsnr-banner .banner2 li {
            list-style: none;
        }

        .zjsnr-banner .banner1 .banner2 {
            position: absolute;
            width: 100%;
            /*display: block;*/
            padding: 0;
            margin: 0;
            z-index: 9999;
            display: none;
        }

        .zjsnr-banner .banner-list {
            padding: 0;
            margin: 0;
            border: 1px solid #a7d7f9;
            border-top: none;
            display: block;
            text-align: center;
            background: white;
            overflow: hidden;
        }

        .zjsnr-banner .banner-list li {
            margin: 5px auto;
            color: #c3c3c3;
        }

        .zjsnr-banner .banner1 a:link, .zjsnr-banner .banner1 a:visited, .zjsnr-banner .banner1 a:hover, .zjsnr-banner .banner1 a:active {
            text-decoration: none;
            color: black;
        }

        .zjsnr-banner .banner1:hover {
            background: #a7d7f9;
        }

        .zjsnr-banner .countdown {
            width: 100%;
        }

        .zjsnr-banner .countdown p {
            text-align: center;
            font-size: 1.5em;
        }

        @media (max-width: 550px) {
            .zjsnr-banner .top img {
                display: none;
            }

            .zjsnr-banner .top p {
                float: left;
                margin-top: 10px;
            }

            .zjsnr-banner .banner1 {
                width: 100%;
                float: none;
                background: #a7d7f9;
                display: block;
                margin-left: 0;
            }

            .zjsnr-banner .banner1 .banner2 {
                position: relative;
            }

        }
/* 桌面端不显示 */
.deskOnly{display:none}


/* 装备图鉴页面 */
div.eqTable {
text-align:center;
font-weight:bold;
width:100%;
position:relative;
}

div.eqTable img{
width:80px !important;
height:80px !important;
}
div.eqTable .eqCaption {
border:solid 1px rgb(170,170,170);
background-color:rgb(242,242,242);
float:right;
width:100%;
height:80px;
padding:auto;
}

div.eqTable .eqPic {
border:solid 1px rgb(170,170,170);
background-color:rgb(255,255,255);
display:block;
width:82px;
}

div.eqTable .eqC1 {
position:absolute;
left:85px;
top:0px;
width:calc(100% - 85px);
line-height:80px;
}

div.eqTable .eqC2 {
position:absolute;
left:85px;
bottom:0px;
width:calc(100% - 85px);
line-height:80px;
}

.eqTable .eqC1 .eqCaption:nth-of-type(odd) { background-color:rgb(255,255,255); }

.eqTable .eqC2 .eqCaption:nth-of-type(even) { background-color:rgb(255,255,255); }

/* 响应式表格反转 */
table.responded {
    border: 1px solid #ccc;
    width: 100%;
    margin:0;
    padding:0;
    border-collapse: collapse;
    border-spacing: 0;
    border: 0;
    margin: 0 auto;
}

table.responded th {
      display: none;
    }

table.responded tr {
    padding: 5px;
    margin-bottom: 10px;
    display: block;
}

table.responded td {
    display: block;
    text-align: right;
    font-size: 16px;
    border-bottom: 1px dotted #ccc;
}

table.responded td:last-child {
    border-bottom: 0;
}

table.responded td:before {
      float: left;
      font-weight: bold;
    }

/* 换装表格 */
table.skin img {
width:120px !important;
height:120px !important;
}

table.skin td { width:85vw }

table.skin td:last-child { min-height:1.5em; }

table.skin.skin1 td:nth-of-type(1):before { content:'Q版立绘'; }
table.skin.skin1 td:nth-of-type(2):before { content:'正常立绘'; }
table.skin.skin1 td:nth-of-type(3):before { content:'编号'; }
table.skin.skin1 td:nth-of-type(4):before { content:'舰娘'; }
table.skin.skin1 td:nth-of-type(5):before { content:'装扮名称'; }
table.skin.skin1 td:nth-of-type(6):before { content:'获取方式'; }
table.skin.skin1 td:nth-of-type(7):before { content:'价格'; }
table.skin.skin1 td:nth-of-type(8):before { content:'备注'; }

table.skin.skin2 td:nth-of-type(1):before { content:'Q版立绘'; }
table.skin.skin2 td:nth-of-type(2):before { content:'正常立绘'; }
table.skin.skin2 td:nth-of-type(3):before { content:'编号'; }
table.skin.skin2 td:nth-of-type(4):before { content:'舰娘'; }
table.skin.skin2 td:nth-of-type(5):before { content:'获取方式'; }
table.skin.skin2 td:nth-of-type(6):before { content:'备注'; }

table.skin.skin3 td:nth-of-type(1):before { content:'Q版立绘'; }
table.skin.skin3 td:nth-of-type(2):before { content:'正常立绘'; }
table.skin.skin3 td:nth-of-type(3):before { content:'编号'; }
table.skin.skin3 td:nth-of-type(4):before { content:'舰娘'; }
table.skin.skin3 td:nth-of-type(5):before { content:'获取方式'; }
table.skin.skin3 td:nth-of-type(6):before { content:'价格'; }
table.skin.skin3 td:nth-of-type(7):before { content:'备注'; }

/* 卫星观测表格 */
table.satellite img {
width:160px !important;
height:auto !important;
}

table.satellite td:last-child { text-align:left }

table.satellite td { width:85vw }

table.satellite.satellite1 td:nth-of-type(1):before { content:'图片'; }
table.satellite.satellite1 td:nth-of-type(2):before { content:'系统名'; }
table.satellite.satellite1 td:nth-of-type(3):before { content:'卫星出处'; }
table.satellite.satellite1 td:nth-of-type(4):before { content:'上天时间'; }

table.satellite.satellite2 td:nth-of-type(1):before { content:'立绘'; }
table.satellite.satellite2 td:nth-of-type(2):before { content:'舰名'; }
table.satellite.satellite2 td:nth-of-type(3):before { content:'舰级'; }
table.satellite.satellite2 td:nth-of-type(4):before { content:'舰种'; }
table.satellite.satellite2 td:nth-of-type(5):before { content:'国籍'; }
table.satellite.satellite2 td:nth-of-type(6):before { content:'卫星出处'; }
table.satellite.satellite2 td:nth-of-type(7):before { content:'上天时间'; }

table.satellite.satellite3 td:nth-of-type(1):before { content:'截图'; }
table.satellite.satellite3 td:nth-of-type(2):before { content:'舰名'; }
table.satellite.satellite3 td:nth-of-type(3):before { content:'舰级'; }
table.satellite.satellite3 td:nth-of-type(4):before { content:'舰种'; }
table.satellite.satellite3 td:nth-of-type(5):before { content:'国籍'; }
table.satellite.satellite3 td:nth-of-type(6):before { content:'卫星类型'; }
table.satellite.satellite3 td:nth-of-type(7):before { content:'卫星出处'; }
table.satellite.satellite3 td:nth-of-type(8):before { content:'上天时间'; }


/* 出身表格 */
table.shipyard td:last-child { text-align:left }

table.shipyard td { width:85vw }

table.shipyard td:first-child{
text-align:left; 
font-family:'楷体';
font-size:1.25em;
font-weight:bold; }
table.shipyard td:nth-of-type(2):before { content:'开工时间'; }
table.shipyard td:nth-of-type(3):before { content:'下水时间'; }
table.shipyard td:nth-of-type(4):before { content:'出厂日期'; }

/* 彩虹字体 */
.rainbowText {
color:red;
background:-webkit-linear-gradient(left,#f3c741,#e21d3a,#bb44b8,#3c7af7);
-webkit-background-clip: text;
-webkit-text-fill-color: transparent;
display:inline-block;
}